package performa.orm;

import oneit.utils.BusinessException;


public class CultureCriteria extends BaseCultureCriteria
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public CultureCriteria ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }

    @Override
    protected void postInitNewObj() throws BusinessException 
    {
        super.postInitNewObj();
        
        setCultureElementRating(CultureElementRating.createCultureElementRating(getTransaction()));
    }
}